# Uses of Class
it.tdlight.jni.TdApi.WebApp

## Uses of TdApi.WebApp in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.WebApp
Modifier and Type
Field
Description
`TdApi.WebApp`
TdApi.BotWriteAccessAllowReasonLaunchedWebApp.`webApp`
Information about the Web App.
`TdApi.WebApp`
TdApi.FoundWebApp.`webApp`
The Web App.
Constructors in it.tdlight.jni with parameters of type TdApi.WebApp
Modifier
Constructor
Description
``
`BotWriteAccessAllowReasonLaunchedWebApp(TdApi.WebApp webApp)`
The user launched a Web App using getWebAppLinkUrl.
``
`FoundWebApp(TdApi.WebApp webApp, boolean requestWriteAccess, boolean skipConfirmation)`
Contains information about a Web App found by its short name.